package com.jeequan.jeepay.core.interfaces.paychannel;

import com.jeequan.jeepay.core.entity.MchApplyment;

/***
* 商户进件接口
*
* @author terrfly
*
* @date 2021/12/30 11:36
*/
public interface IFuiouApplymentApiService {

    MchApplyment wechatConfigSet(MchApplyment mchApplyment, String jsapiPath, String subAppid, String subscribeAppid);

    String wechatConfigGet(MchApplyment mchApplyment);

    /** 电子协议生成接口 **/
    MchApplyment elecContractGenerate(MchApplyment mchApplyment);

    /**  电子协议签署接口 **/
    MchApplyment elecContractSign(MchApplyment mchApplyment);


    boolean uploadImg(MchApplyment mchApplyment);

    MchApplyment attachConfirm(MchApplyment mchApplyment);
}
